#!/bin/sh

#----- Print Usage !! -----#
if test "$#" -ne 1
then echo " "
     echo " Print_Usage !!"  
     echo " "  
     echo " rotate.sh  staid"
     echo " rotate.sh  ORI   "
     echo " "  
     exit 0
fi

# Directories
BASE_DIR=/home/hfd
DATA_DIR=${BASE_DIR}/data

# Station ID
STID=$1

# Get yesterday
YY=$(/bin/date --date '1 day ago' +%y)
MM=$(/bin/date --date '1 day ago' +%m)
DD=$(/bin/date --date '1 day ago' +%d)
YDATE=20${YY}${MM}${DD}

# Get start time of previous run
STIME=`tail -1 ${BASE_DIR}/stime.txt`
SDATE=`echo $STIME | cut -c 1-8`
if [ ${SDATE} -ne ${YDATE} ]
  then STIME=${YDATE}_000000
fi

# Copy the outputs from previous run to the files
mkdir -p ${DATA_DIR}/20${YY}
cp ${DATA_DIR}/data_3925.bin ${DATA_DIR}/20${YY}/${STIME}_${STID}_3925.bin
cp ${DATA_DIR}/data_5006.bin ${DATA_DIR}/20${YY}/${STIME}_${STID}_5006.bin
cp ${DATA_DIR}/data_6055.bin ${DATA_DIR}/20${YY}/${STIME}_${STID}_6055.bin
cp ${DATA_DIR}/data_8006.bin ${DATA_DIR}/20${YY}/${STIME}_${STID}_8006.bin

# Erase the data in the output file
cp /dev/null ${DATA_DIR}/data_3925.bin
cp /dev/null ${DATA_DIR}/data_5006.bin
cp /dev/null ${DATA_DIR}/data_6055.bin
cp /dev/null ${DATA_DIR}/data_8006.bin

#cd /home/hfd/data
#/home/hfd/plt/1d4Fdop160A /home/hfd/plt/UECC.ini 20${YY}${MM}${DD}

ssh hfd@darndeb01.cei.uec.ac.jp mkdir -p /hfdope/data/DGL/${STID}/20${YY}
scp ${DATA_DIR}/20${YY}/${YDATE}_*_${STID}_3925.bin hfd@darndeb01.cei.uec.ac.jp:data/DGL/${STID}/20${YY}
scp ${DATA_DIR}/20${YY}/${YDATE}_*_${STID}_5006.bin hfd@darndeb01.cei.uec.ac.jp:data/DGL/${STID}/20${YY}
scp ${DATA_DIR}/20${YY}/${YDATE}_*_${STID}_6055.bin hfd@darndeb01.cei.uec.ac.jp:data/DGL/${STID}/20${YY}
scp ${DATA_DIR}/20${YY}/${YDATE}_*_${STID}_8006.bin hfd@darndeb01.cei.uec.ac.jp:data/DGL/${STID}/20${YY}
#scp /home/hfd/data/4Fdop20${YY}${MM}${DD}.png hfd@darndeb01.cei.uec.ac.jp:data/DGL/${STID}/
#scp /home/hfd/data/pow?20${YY}${MM}${DD}.txt hfd@darndeb01.cei.uec.ac.jp:data/DGL/${STID}/

exit
